## passage 4%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PNGRBT=-define png:exclude-chunk=time
export PNGRBTD=+set date:create +set date:modify $(PNGRBT)

%:
	dh $@ --parallel

override_dh_auto_configure:
	chmod u+x gamma256/gameSource/configure
	cd gamma256/gameSource && platformSelection=1 ./configure

override_dh_auto_build:
	mkdir -p 256x256 64x64 32x32
	convert -scale 256x256 gamma256/gameSource/iPhone/LargeIcon.png $(PNGRBTD) 256x256/passage.png
	convert -background None -gravity center -extent 64x64 gamma256/gameSource/iPhone/Icon.png $(PNGRBTD) 64x64/passage.png
	convert -type Grayscale -negate gamma256/build/macOSX/iconMask.png $(PNGRBTD) mask.png
	composite -compose CopyOpacity mask.png gamma256/build/macOSX/iconColor.png $(PNGRBT) passage.png
	convert -scale 32x32 passage.png $(PNGRBTD) 32x32/passage.png 
	convert 32x32/passage.png 32x32/passage.xpm
	sed -i -e 's/PLATFORM_COMPILE_FLAGS = */PLATFORM_COMPILE_FLAGS = $$(CFLAGS) $$(CPPFLAGS) /' gamma256/gameSource/Makefile
	sed -i -e 's/PLATFORM_LINK_FLAGS = */PLATFORM_LINK_FLAGS = $$(LDFLAGS) /' gamma256/gameSource/Makefile
	$(MAKE) -C gamma256/gameSource LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/passage\\\" -DDATADIR=\\\"/usr/share/games/passage/\\\""

override_dh_auto_clean:
	find gamma256 -name "*.o" -delete
	find minorGems -name "*.o" -delete
	rm -f gamma256/gameSource/Passage
	rm -f gamma256/gameSource/Makefile
	rm -f gamma256/gameSource/Makefile.minorGems_dependencies
	rm -rf 256x256 64x64 32x32 passage.png mask.png

override_dh_installchangelogs:
	dh_installchangelogs gamma256/documentation/changeLog.txt

V=4
P=Passage
p=passage
sfp=hcsoftware/Passage

get-orig-source:
	wget -c http://downloads.sourceforge.net/project/$(sfp)/v$(V)/$(P)_$(V)_UnixSource.tar.gz
	tar xf $(P)_v$(V)_UnixSource.tar.gz
	# Embedded code copies, unused
	rm -rf $(P)_v$(V)_UnixSource/minorGems/graphics/converters/lodepng.*
	# Pre-built Windows libraries, unused
	rm $(P)_v$(V)_UnixSource/gamma256/build/win32/*.dll
	# non-free, unused
	rm -r $(P)_v$(V)_UnixSource/minorGems/util/development/fortify
	# Useless iPhone reports
	rm $(P)_v$(V)_UnixSource/gamma256/gameSource/iPhone/reports/*.txt
	mv $(P)_$(V)_UnixSource $(p)-$(V)+dfsg1.orig
	tar zcf ../$(p)_$(V)+dfsg1.orig.tar.gz $(p)-$(V)+dfsg1.orig
	rm -r $(P)_$(V)_UnixSource.tar.gz $(p)-$(V)+dfsg1.orig

## passage 4+dfsg1

=== gamma256/prototypes/screenCompress/Makefile ===


ROOT_PATH = ../../..

COMPILE = g++ -g -I${ROOT_PATH} -c
LINK = g++ -I${ROOT_PATH}



MINOR_GEMS_SOURCES = \
${ROOT_PATH}/minorGems/io/file/linux/PathLinux.cpp \
#${ROOT_PATH}/minorGems/graphics/linux/ScreenGraphicsLinux.cpp \
#${ROOT_PATH}/minorGems/system/win32/ThreadWin32.cpp \
#${ROOT_PATH}/minorGems/system/linux/ThreadLinux.cpp \

MINOR_GEMS_OBJECTS = ${MINOR_GEMS_SOURCES:.cpp=.o}

LIBRARIES = -lSDL


all: screenCompress tileSet.tga characterSprite.tga

screenCompress: screenCompress.o landscape.o ${MINOR_GEMS_OBJECTS}
	${LINK} -o screenCompress screenCompress.o landscape.o ${MINOR_GEMS_OBJECTS} ${LIBRARIES}


sdlTest: sdlTest.o
	${LINK} -o sdlTest sdlTest.o ${MINOR_GEMS_OBJECTS} ${LIBRARIES} -lSDLmain


screenCompress.o: screenCompress.cpp landscape.h

landscape.o: landscape.cpp landscape.h

tileSet.tga: tileSet.png
	convert tileSet.png tileSet.tga

characterSprite.tga: characterSprite.png
	convert characterSprite.png characterSprite.tga


# 
# Generic:
#
# Map all .cpp C++ and C files into .o object files
#
# $@   represents the name.o file
# $<   represents the name.cpp file
#
.cpp.o:
	${COMPILE} -o $@ $<
.c.o:
	${COMPILE} -o $@ $<

=== debian/changelog ===
passage (4+dfsg1-4) unstable; urgency=medium

  * Team Upload
  * Import on Salsa
  * Switch to DebHelper 13
  * Fix FTCBFS (Closes: #923269)
  * Set Rules-Requires-Root: no
  * Remove old Debian Menu file

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 17:41:11 +0200

passage (4+dfsg1-3) unstable; urgency=medium

  * Fix build reproducibility issues due to use of imagemagick
    (Closes: #779136)

 -- Paul Wise <pabs@debian.org>  Tue, 01 Aug 2017 10:43:37 -0400

passage (4+dfsg1-2) unstable; urgency=low

  * Wrap and sort various files
  * Switch to debhelper compat 9
  * Fix and use canonical Vcs-* URLs
  * Fix dpkg-buildflags use, add more hardening
  * Bump Standards-Version
  * Add some keywords to the freedesktop menu file
  * Drop duplicate 32x32 PNG icon

 -- Paul Wise <pabs@debian.org>  Sun, 07 Jul 2013 13:14:10 +0800

passage (4+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Builds with binutils-gold (Closes: #556052)
  * Switch to dpkg-source v3 format
  * Refresh, clean patches
    - Drop amd64_fix.patch, applied upstream
  * Switch to debhelper dh rules.tiny style
  * Keep upstream capitalization, add symlinks
  * Improve the menu files
  * Change the patch to use DEP-3 headers
  * Drop README.Debian, it is not useful to users
  * Bump Standards-Version, no changes needed
  * Use the various icons to build different sized menu icons

 -- Paul Wise <pabs@debian.org>  Thu, 10 Feb 2011 16:09:20 +0800

passage (3+dfsg1-3) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix FTBFS with new “3.0 (quilt)” source package format by using a
    patch level of 1 instead of 0 in the patches and by adjusting the
    series file appropriately (i.e. by deleting the “-p0” option),
    thanks to Raphaël Hertzog for the notice (Closes: #485262).

  [ Paul Wise ]
  * Update Standards-Version, changes needed are:
    - include quilt.make to create a patch target
    - use filter instead of findstring on DEB_BUILD_OPTIONS
    - support parallel=n in DEB_BUILD_OPTIONS
    - add a README.source file pointing to the quilt one
  * Add proper version mangling to the watch file
  * Bump debhelper compat level to 7
  * Add forwarded locations to patch, menu, manual page

 -- Paul Wise <pabs@debian.org>  Sun, 08 Mar 2009 14:47:54 +0900

passage (3+dfsg1-2) unstable; urgency=low

  * Add patch from upstream CVS to fix amd64 brokenness (Closes: #475334)

 -- Paul Wise <pabs@debian.org>  Sun, 13 Apr 2008 12:43:13 +0800

passage (3+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #471585)

 -- Paul Wise <pabs@debian.org>  Fri, 28 Mar 2008 18:40:21 +0900

=== debian/control ===
Source: passage
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libsdl1.2-dev
Rules-Requires-Root: no
Standards-Version: 3.9.4
Homepage: http://hcsoftware.sourceforge.net/passage/
Vcs-Git: https://salsa.debian.org/games-team/passage.git
Vcs-Browser: https://salsa.debian.org/games-team/passage

Package: passage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: game about the passage through life
 Passage is a short, autobiographical pixelated art game by
 Jason Rohrer. It can be explored in approximately 5 minutes.
 Passage is meant to be memento mori game. If you enjoy the
 game, you may want to try the followup, "Gravitation". If
 you do not, please read the game creators statement on the
 website and the experiences of other people linked from the
 website.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PNGRBTD=+set date:create +set date:modify $(PNGRBT)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	chmod u+x gamma256/gameSource/configure
@@ -17,11 +17,11 @@
 	convert -background None -gravity center -extent 64x64 gamma256/gameSource/iPhone/Icon.png $(PNGRBTD) 64x64/passage.png
 	convert -type Grayscale -negate gamma256/build/macOSX/iconMask.png $(PNGRBTD) mask.png
 	composite -compose CopyOpacity mask.png gamma256/build/macOSX/iconColor.png $(PNGRBT) passage.png
-	convert -scale 32x32 passage.png $(PNGRBTD) 32x32/passage.png 
+	convert -scale 32x32 passage.png $(PNGRBTD) 32x32/passage.png
 	convert 32x32/passage.png 32x32/passage.xpm
 	sed -i -e 's/PLATFORM_COMPILE_FLAGS = */PLATFORM_COMPILE_FLAGS = $$(CFLAGS) $$(CPPFLAGS) /' gamma256/gameSource/Makefile
 	sed -i -e 's/PLATFORM_LINK_FLAGS = */PLATFORM_LINK_FLAGS = $$(LDFLAGS) /' gamma256/gameSource/Makefile
-	$(MAKE) -C gamma256/gameSource LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/passage\\\" -DDATADIR=\\\"/usr/share/games/passage/\\\""
+	dh_auto_build --buildsystem=makefile --sourcedirectory=gamma256/gameSource -- LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/passage\\\" -DDATADIR=\\\"/usr/share/games/passage/\\\""
 
 override_dh_auto_clean:
 	find gamma256 -name "*.o" -delete
